Archive for March, 2009

Eclipse and Firefox 3.1 on Linux

Eclipse and Firefox 3.1 ( or XulRunner 1.9.1  to be more precise ) don’t work well together on Linux. Using MOZILLA_FIVE_HOME and LD_LIBRARY_PATH yields no results.

Fortunately, there is a workaround: have FireFox 3.0 ( or XulRunner 1.9.0 ) installed as well, and modify your eclipse.ini to contain

-vmargs
-Dorg.eclipse.swt.browser.XULRunnerPath=PATH_TO_XULRUNNER_1.9.0

References:

  1. Novell Bugzilla: eclipse stops working if xulrunner 1.9.1 is installed
  2. Eclipse Bugzilla: eclipse doesn’t work with xulrunner 1.9.1beta

Comments (1)